org.apache.olingo.server.api.uri.queryoption.expression

## Enum UnaryOperatorKind

- java.lang.Object
- - java.lang.Enum<UnaryOperatorKind>
  - - org.apache.olingo.server.api.uri.queryoption.expression.UnaryOperatorKind

- All Implemented Interfaces:
    Serializable, Comparable<UnaryOperatorKind>

      public enum UnaryOperatorKind
      extends Enum<UnaryOperatorKind>

  Enumeration of supported unary operators
  For the semantic of these operators please see the ODATA specification for URL conventions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MINUS` Minus operator
    `NOT` not operator

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnaryOperatorKind` | `get(String operator)` URI syntax to enumeration value
    `String` | `toString()`
    `static UnaryOperatorKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnaryOperatorKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MINUS

          public static final UnaryOperatorKind MINUS

      Minus operator

    - #### NOT

          public static final UnaryOperatorKind NOT

      not operator

  - ### Method Detail

    - #### values

          public static UnaryOperatorKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnaryOperatorKind c : UnaryOperatorKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnaryOperatorKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<UnaryOperatorKind>`
      Returns:
        URI syntax for that operator kind

    - #### get

          public static UnaryOperatorKind get(String operator)

      URI syntax to enumeration value
      Parameters:
        `operator` - Operator in the syntax used in the URI
      Returns:
        Operator kind which represents the given syntax

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.